Page MenuHomePhabricator

Deploy wikidata descriptions to mobile web stable channel - spanish and japanese
Closed, ResolvedPublic1 Story Points

Description

As per https://www.mediawiki.org/wiki/Reading/web/Projects/Wikidata_Descriptions, this is a task to deploy Wikidata descriptions to mobile web stable channel for Spanish and Japanese wikipedias
Deployment should be after 9/26/2016 (can be week of Oct 3)

Testing criteria
Ensuring you are in the stable mode of the site (please use an incognito window or clear site data before testing)

  1. Go to https://es.m.wikipedia.org/wiki/San_Francisco_(California)
  2. Ensure wikidata description appears under title
  3. Go to https://ja.m.wikipedia.org/wiki/%E3%82%B5%E3%83%B3%E3%83%95%E3%83%A9%E3%83%B3%E3%82%B7%E3%82%B9%E3%82%B3
  4. Ensure wikidata description appears under title
  5. Click a couple of links in the featured articles section on the main page of: English, Russian, German, French wikipedias and ensure that no Wikidata descriptions show for these pages
  6. Ensure wikidata descriptions appear on https://ca.m.wikipedia.org/wiki/Anglaterra

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2016, 3:04 PM
ovasileva triaged this task as High priority.Sep 15 2016, 3:04 PM
MBinder_WMF set the point value for this task to 1.Sep 19 2016, 4:14 PM
ovasileva updated the task description. (Show Details)Sep 29 2016, 11:40 AM

Change 313869 had a related patch set uploaded (by Jdlrobson):
Enable Wikidata descriptions on Japanese and Spanish Wikipedias

https://gerrit.wikimedia.org/r/313869

Change 313869 merged by jenkins-bot:
Enable Wikidata descriptions on Japanese and Spanish Wikipedias

https://gerrit.wikimedia.org/r/313869

Mentioned in SAL (#wikimedia-operations) [2016-10-03T23:45:40Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:313869|Enable Wikidata descriptions on Japanese and Spanish Wikipedias (T145786)]] (duration: 00m 49s)

Jdlrobson updated the task description. (Show Details)Oct 3 2016, 11:47 PM

This change will now slowly roll out to Spanish and Japanese Wikipedias. Please this in mind during testing that certain pages may not behave as expected. You can assign ?action=purge at the end of a URL to force a cache purge.

You can see it working here:

I've also verified they do not show on English Wikipedia but still show on Catalan Wikipedia.

Tested with multiple QA devices and browsers. Testing criteria works well, I will focus on one in particular - clicking on a featured article in step 5 on fr.wikipedia.org (Tour de France 1910), below are some screencaps I got of this article in Android/Chrome and iOS 9/Safari settings, and a Wikipedia app example from iPhone (this final example *does* have a wikidata description which is why opening the page in a web browser not the Wikipedia app is extremely important).

phuedx assigned this task to ovasileva.Oct 6 2016, 7:12 AM
ovasileva closed this task as Resolved.Oct 6 2016, 1:06 PM

all done!